%define name 	radicalcomicdesigner
%define version 2.0
%define release %mkrel 1

Summary:        Comic Book and Comic Strip creator
Name:           %{name}  
Version:        %{version}
Release:        %{release}
License:        Propriety - Shareware 
Group:          Graphical desktop/GNOME
Source:         RadicalComicDesigner.tar.bz2
URL:            http://www.radicalbreeze.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
Requires:       libglib2.0_0 libexpat1 ImageMagick libgtk+2.0_0 
Requires:       libgtkhtml2_0 libgnomeprint2-2_0
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

 
%description
Comic Book and Comic Strip creator,can easly design your own Comic Books or Comic Strips and 
export them for easy reading on multiple applications,or publishing to your web site.

%prep

%setup -q -n RadicalComicDesignerTar

%build

%install
install -dm 755 %{buildroot}/opt/RadicalBreeze/RadicalComicDesigner
cp -a RadicalComicDesigner *.png *.xpm %{buildroot}/opt/RadicalBreeze/RadicalComicDesigner

# fix icon
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
install -m 644 rcdicon.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd /opt/RadicalBreeze/RadicalComicDesigner
exec ./RadicalComicDesigner "$@"
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=RadicalComicDesigner
Comment=Comic Book and Comic Strip creator
Exec=%{name}
Icon=%{name}
Categories=GNOME;GTK;Utility;X-MandrivaLinux-System-Utility;X-MandrivaLinux-Other
EOF


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-, root, root)
%doc *.txt 
%{_bindir}/%{name}
/opt/RadicalBreeze/RadicalComicDesigner
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Oct 08 2009 slick50 <lxgator@gmail.com> 2.0-1pclos2010
- 2.0

* Sun May 31 2009 slick50 <lxgator@gmail.com> 1.3-1pclos2009
- initial pkg

